Bug 840033 - Ouput of gluster volume list | info is not sorted consistently
Ouput of gluster volume list | info is not sorted consistently
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kaushal
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 09:49 EDT by Patric Uebele
Modified: 2013-09-15 19:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 01:54:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patric Uebele 2012-07-13 09:49:05 EDT
Description of problem:
The order of the outputs of commands like gluster volume list and gluster volume info is not the same across nodes, which may be confusing in troubleshooting scenarios.

Version-Release number of selected component (if applicable): 2.0


How reproducible:
Reproducible

Steps to Reproduce:
1. Run cluster volume list | info on several storage nodes of a cluster
2. 
3.
  
Actual results:
[root@rhs1-1 vols]# gluster volume list
distvol1
repvol1

while on the other node:

[root@rhs1-2 vols]# gluster volume list
repvol1
distvol1

Same behaviour w/ gluster volume info

Expected results:
Output should be ordered in the same way on all nodes of the storage cluster


Additional info:
Comment 2 Amar Tumballi 2012-07-15 22:38:02 EDT
can't we use 'gluster volume list | sort' on all the machines? 

For now thats easiest thing to do.
Comment 3 Amar Tumballi 2012-12-18 01:54:30 EST
the idea was to make the CLI commands work with standard unix tools. so, now gluster volume list doesn't print line number like earlier. Please use "gluster volume list | sort" to get the same array of volume names on all the machines.

Note You need to log in before you can comment on or make changes to this bug.